Replace a registered email address filing. If filing with the Insolvency scope “company_number” must be provided in the request body.
PUT https://api.company-information.service.gov.uk/transactions/{transaction_id}/registered-email-address
| Parameter name |
Value |
Description |
Additional |
| transaction_id |
string |
transaction id
|
Required |
The request body takes a complete
registeredEmailAddress resource, containing the following writable properties:
{
"accept_appropriate_email_address_statement": "boolean",
"registered_email_address": "string"
}
| Name |
Type |
Description |
Additional |
|
accept_appropriate_email_address_statement
|
boolean |
Setting this to true confirms the new email address is an appropriate email address as outlined in section 88A(2) of the Companies Act 2006
|
|
|
registered_email_address
|
string |
Official registered email address for a company
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/company/{company_number}/registered-email-address.update |
Company REA filing permission |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 201 |
Created Registered email address filing resource updated
|
registeredEmailAddressFiling |
| 400 |
Bad Request Bad request
|
|
| 401 |
Unauthorized Not authorised to update this transaction
|
|
| 403 |
Forbidden Registered email address filing resource cannot be updated as it's containing transaction has been closed, or the company does not already have a registered email address
|
|
| 404 |
Not Found Transaction not found
|
|